org.apache.jmeter.engine.util

## Class SimpleVariable

- java.lang.Object
- - org.apache.jmeter.engine.util.SimpleVariable

-     public class SimpleVariable
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleVariable()`
    `SimpleVariable(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `void` | `setName(java.lang.String name)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleVariable

          public SimpleVariable(java.lang.String name)

    - #### SimpleVariable

          public SimpleVariable()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Function.execute(org.apache.jmeter.samplers.SampleResult, org.apache.jmeter.samplers.Sampler)`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.